hledger-web-1.3: Web interface for the hledger accounting tool

Safe Haskell | None
Language | Haskell2010

Handler.JournalR

Description

/journal handlers.

Synopsis

- getJournalR :: Handler Html
- postJournalR :: Handler Html
- journalTransactionsReportAsHtml :: WebOpts -> ViewData -> TransactionsReport -> HtmlUrl AppRoute

# Documentation

getJournalR :: Handler Html #

The formatted journal view, with sidebar.

postJournalR :: Handler Html #

journalTransactionsReportAsHtml :: WebOpts -> ViewData -> TransactionsReport -> HtmlUrl AppRoute #

Render a TransactionsReport as html for the formatted journal view.